Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.monitor.system
Class ServerInformation

    java.lang.Object
      vut.msa.monitor.system.ServerInformation

    public class ServerInformation

extends java.lang.Object

Trieda sluzi na ziskanie informacii o serveri. Tieto informacie sluzia na sledovanie stavu servera. Vyuziva nastroj SIGAR.

Method Summary
`org.hyperic.sigar.CpuInfo` | `getCpuInfo()` Funkcia vrati informacie o jednotke CPU.
`org.hyperic.sigar.CpuPerc` | `getCpuPerc()` Metoda vrati objekt CpuPerc, ktory poskytuje informacie o vytazeni procesora.
`org.hyperic.sigar.CpuInfo[]` | `getCPUsInfo()` Funkcia vrati objekt CpuInfo, ktory poskytuje informacie o jednotke CPU.
`int` | `getDocumentsCount()`
`org.hyperic.sigar.DirUsage` | `getDocumentsDir()` Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.
`org.hyperic.sigar.DirUsage` | `getDocumentsDir(java.lang.String path)` Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.
`long` | `getDocumentsSize()`
`FileSystemInformation` | `getFileSystemInfo()` Funkcia vrati objekt FileSystemInformation, ktory sluzi na poskytovanie informacii o suborovom systeme.
`java.lang.String` | `getFormatedUptime()`
`java.lang.String` | `getFormatedUptime(int uptime)` Metoda naformatuje cas behu systemu z milisekund na format "xx dní, xx hodín, xx min."
`long` | `getFreeDisk()`
`java.util.List<org.hyperic.sigar.FileSystem>` | `getFsList()` Metoda naplni zoznam objektami FileSystem, ktore sluzia na ziskanie informacii o pripojenych uloznych mediach.
`static ServerInformation` | `getInstance()`
`org.hyperic.sigar.Mem` | `getMemoryInfo()` Funkcia vrati objekt Mem, ktory poskytuje informacie o pamati.
`long` | `getMemoryRAM()`
`double` | `getMemoryUsedPerc()`
`java.util.List<NetCompleteInfo>` | `getNetInformation()` Metoda vrati zoznam naplneny informaciami o sietovych adapteroch.
`org.hyperic.sigar.Sigar` | `getSigar()`
`long` | `getTotalDisk()`
`double` | `getUptime()` Funkcia vráti čas od spustenia systému (Uptime) v sekundách.
`long` | `getUsedDisk()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ServerInformation getInstance()

### getFreeDisk

    public long getFreeDisk()

### getTotalDisk

    public long getTotalDisk()

### getUsedDisk

    public long getUsedDisk()

### getMemoryRAM

    public long getMemoryRAM()

### getDocumentsCount

    public int getDocumentsCount()

### getDocumentsSize

    public long getDocumentsSize()

### getMemoryUsedPerc

    public double getMemoryUsedPerc()

### getUptime

    public double getUptime()
                     throws org.hyperic.sigar.SigarException

  Funkcia vráti čas od spustenia systému (Uptime) v sekundách.

  Returns:
    čas v sekundách
  Throws:
    `org.hyperic.sigar.SigarException`

### getSigar

    public org.hyperic.sigar.Sigar getSigar()

### getFormatedUptime

    public java.lang.String getFormatedUptime()
                                       throws org.hyperic.sigar.SigarException

  Throws:
    `org.hyperic.sigar.SigarException`

### getFormatedUptime

    public java.lang.String getFormatedUptime(int uptime)

  Metoda naformatuje cas behu systemu z milisekund na format "xx dní, xx hodín, xx min."

  Parameters:
    `uptime` -
  Returns:

### getMemoryInfo

    public org.hyperic.sigar.Mem getMemoryInfo()
                                        throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt Mem, ktory poskytuje informacie o pamati.

  Returns:
    objekt Mem
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `Mem`

### getCPUsInfo

    public org.hyperic.sigar.CpuInfo[] getCPUsInfo()

  Funkcia vrati objekt CpuInfo, ktory poskytuje informacie o jednotke CPU.

  Returns:
    pole objektov CpuInfo
  See Also:
    `CpuInfo`

### getCpuInfo

    public org.hyperic.sigar.CpuInfo getCpuInfo()

  Funkcia vrati informacie o jednotke CPU.

  Returns:
    objekt CpuInfo
  See Also:
    `CpuInfo`

### getCpuPerc

    public org.hyperic.sigar.CpuPerc getCpuPerc()

  Metoda vrati objekt CpuPerc, ktory poskytuje informacie o vytazeni procesora.

  Returns:
    objekt CpuPerc
  See Also:
    `CpuPerc`

### getNetInformation

    public java.util.List<NetCompleteInfo> getNetInformation()

  Metoda vrati zoznam naplneny informaciami o sietovych adapteroch. Naplnenie zoznamu sa vykona v konstruktore triedy.

  Returns:
    zoznam informacii o sietovych adapteroch

### getDocumentsDir

    public org.hyperic.sigar.DirUsage getDocumentsDir(java.lang.String path)
                                               throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.

  Parameters:
    `path` - cesta k adresaru s dokumentami
  Returns:
    objekt DirUsage
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `org.hyperic.sigar.DirUsage;`

### getDocumentsDir

    public org.hyperic.sigar.DirUsage getDocumentsDir()
                                               throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari. Pouzije standardnu cestu k adresaru C:\Documents

  Returns:
    objekt DirUsage
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `org.hyperic.sigar.DirUsage;`

### getFileSystemInfo

    public FileSystemInformation getFileSystemInfo()
                                            throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt FileSystemInformation, ktory sluzi na poskytovanie informacii o suborovom systeme.

  Returns:
    objet FileSystemInformation
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `FileSystemInformation`

### getFsList

    public java.util.List<org.hyperic.sigar.FileSystem> getFsList()

  Metoda naplni zoznam objektami FileSystem, ktore sluzia na ziskanie informacii o pripojenych uloznych mediach.

  Returns:
    zoznam ArrayList

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD